unit uGUI;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, uTageszeit;

type
  THimmel = class(TForm)
    bWechsle: TButton;
    iSonne: TImage; iWolke1: TImage; iWolke2: TImage; iWolke3: TImage;
    iMond: TImage; iStern1: TImage; iStern2: TImage; iStern3: TImage;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure stelleHimmeldar(phase : TTagesphase);
    procedure bWechsleClick(Sender: TObject);
  private
    Tageszeit : TTageszeit;
  public
    { Public-Deklarationen }
  end;

var
  Himmel: THimmel;

implementation

{$R *.DFM}

procedure THimmel.FormCreate(Sender: TObject);
begin
  Tageszeit := TTageszeit.Create;
  Tageszeit.SetDunkel; stelleHimmeldar(dunkel);  // Initialisierung
end;

procedure THimmel.FormDestroy(Sender: TObject);
begin
  Tageszeit.free;
end;

procedure THimmel.stelleHimmeldar(phase : TTagesphase);
begin
  if phase = hell
  then
    begin
      Himmel.Color := clAqua;
      iSonne.Visible := true; iWolke1.Visible := true;
      iWolke2.Visible := true; iWolke3.Visible := true;
      iMond.Visible := false; iStern1.Visible := false;
      iStern2.Visible := false; iStern3.Visible := false;
    end
  else
    begin
      Himmel.Color := clNavy;
      iSonne.Visible := false; iWolke1.Visible := false;
      iWolke2.Visible := false; iWolke3.Visible := false;
      iMond.Visible := true; iStern1.Visible := true;
      iStern2.Visible := true; iStern3.Visible := true;
    end;
end;

procedure THimmel.bWechsleClick(Sender: TObject);
begin
  Tageszeit.wechsle;
  if Tageszeit.GetTagesphase = hell
  then stelleHimmeldar(hell)
  else stelleHimmeldar(dunkel);
end;

end.
